#ifndef SPORT_H
#define SPORT_H

#include <QWidget>
#include <QVBoxLayout>
#include <QLabel>
#include "global/corevar.h"
#include <QGSettings/QGSettings>
class sport : public QWidget
{
    Q_OBJECT
public:
    explicit sport(QWidget *parent = nullptr);
    void setItemContent(QString text);
    void isFullScreen(int);
    int m_judgeFullScreen;

private:
    QVBoxLayout *m_sportLayout;
    QLabel *m_sportIcon;
    QLabel *m_str;
    QLabel *m_degree;
    QString sportpath = ":/res/contorl_icons/index_sport.png";

    void initLayout();
    void initQss(double);
    void lable2SetFontSizeSlot(int size);
    QGSettings *m_fontSize = nullptr;

signals:
    void setFontSizeSignal(int);
};

#endif // SPORT_H
